QA Agent (Sync)
curl --request POST \
--url https://api.sixtyfour.ai/qa-agent \
--header 'Content-Type: application/json' \
--data '
{
"data": {},
"qualification_criteria": [
{
"criteria_name": "<string>",
"description": "<string>",
"weight": 1,
"threshold": 123
}
],
"references": [],
"struct": {},
"max_tool_calls": 10,
"webhook_url": "<string>"
}
'import requests
url = "https://api.sixtyfour.ai/qa-agent"
payload = {
"data": {},
"qualification_criteria": [
{
"criteria_name": "<string>",
"description": "<string>",
"weight": 1,
"threshold": 123
}
],
"references": [],
"struct": {},
"max_tool_calls": 10,
"webhook_url": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
data: {},
qualification_criteria: [
{criteria_name: '<string>', description: '<string>', weight: 1, threshold: 123}
],
references: [],
struct: {},
max_tool_calls: 10,
webhook_url: '<string>'
})
};
fetch('https://api.sixtyfour.ai/qa-agent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": "Invalid request body"
}{
"detail": "Invalid API key"
}{
"detail": "Insufficient API credits"
}{
"detail": "High tier company enrichment is not enabled for this org. Contact sales to request access."
}{
"detail": "Job not found"
}{
"detail": [
{
"loc": [
"body",
"target_company",
"domain"
],
"msg": "Field required",
"type": "missing",
"input": null,
"ctx": {}
}
]
}{
"detail": "Rate limit exceeded"
}{
"detail": "Internal server error"
}Agents
QA Agent (Sync)
Run a research agent that answers a question about a person or company.
POST
/
qa-agent
QA Agent (Sync)
Headers
Body
application/json
Lead or record to evaluate against the qualification criteria.
List of criteria the agent will score the data against.
Show child attributes
Show child attributes
Optional reference URLs the agent may use as evidence.
Show child attributes
Show child attributes
Mapping of extra output fields and their descriptions.
Show child attributes
Show child attributes
Maximum tool calls the agent may make per evaluation.
Required range:
1 <= x <= 50HTTPS URL that receives the result payload when the async job completes.
Required string length:
1 - 2083Response
Successful Response
Was this page helpful?
⌘I